be.ehealth.technicalconnector.service.keydepot

## Enum KeyDepotManager.EncryptionTokenType

- java.lang.Object
- - java.lang.Enum<KeyDepotManager.EncryptionTokenType>
  - - be.ehealth.technicalconnector.service.keydepot.KeyDepotManager.EncryptionTokenType

- All Implemented Interfaces:
    Serializable, Comparable<KeyDepotManager.EncryptionTokenType>
  Enclosing interface:
    KeyDepotManager

      public static enum KeyDepotManager.EncryptionTokenType
      extends Enum<KeyDepotManager.EncryptionTokenType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENCRYPTION`
    `HOLDER_OF_KEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyDepotManager.EncryptionTokenType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeyDepotManager.EncryptionTokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOLDER_OF_KEY

          public static final KeyDepotManager.EncryptionTokenType HOLDER_OF_KEY

    - #### ENCRYPTION

          public static final KeyDepotManager.EncryptionTokenType ENCRYPTION

  - ### Method Detail

    - #### values

          public static KeyDepotManager.EncryptionTokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyDepotManager.EncryptionTokenType c : KeyDepotManager.EncryptionTokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyDepotManager.EncryptionTokenType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.